summaryrefslogtreecommitdiff
path: root/projects/scripts
diff options
context:
space:
mode:
authorKirk Shoop <kirk.shoop@microsoft.com>2015-06-04 07:52:22 -0700
committerKirk Shoop <kirk.shoop@microsoft.com>2015-06-04 08:22:07 -0700
commit001ac1e827530a3b0e7411b77c37be89c95251c0 (patch)
tree4500b72e2e15a8f2253ee72f3487530c2c276296 /projects/scripts
parent73b1adbbabb43c8bb887178de628e0871e6b350d (diff)
downloadRxCpp-001ac1e827530a3b0e7411b77c37be89c95251c0.tar.gz
CMake - require 3.2 and refactor
NOTE: binaries have moved! OSX <build>/test/rxcppv2_test <build>/examples/pythagorian/pythagorian Windows <build>\test\Debug\rxcppv2_test.exe <build>\examples\pythagorian\Debug\pythagorian.exe NOTE: cmake can be run in the root! This will make a dir named build with the binaries cmake . cmake --build .
Diffstat (limited to 'projects/scripts')
-rw-r--r--projects/scripts/install_libcxx.sh12
-rwxr-xr-xprojects/scripts/travis-install.sh49
2 files changed, 30 insertions, 31 deletions
diff --git a/projects/scripts/install_libcxx.sh b/projects/scripts/install_libcxx.sh
new file mode 100644
index 0000000..b82e83b
--- /dev/null
+++ b/projects/scripts/install_libcxx.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+#
+# Install libc++ under travis
+
+svn --quiet co http://llvm.org/svn/llvm-project/libcxx/trunk libcxx
+mkdir libcxx/build
+(cd libcxx/build && cmake .. -DLIBCXX_CXX_ABI=libstdc++ -DLIBCXX_CXX_ABI_INCLUDE_PATHS="/usr/include/c++/4.6;/usr/include/c++/4.6/x86_64-linux-gnu")
+make -C libcxx/build cxx -j2
+sudo cp libcxx/build/lib/libc++.so.1.0 /usr/lib/
+sudo cp -r libcxx/build/include/c++/v1 /usr/include/c++/v1/
+sudo ln -sf /usr/lib/libc++.so.1.0 /usr/lib/libc++.so
+sudo ln -sf /usr/lib/libc++.so.1.0 /usr/lib/libc++.so.1 \ No newline at end of file
diff --git a/projects/scripts/travis-install.sh b/projects/scripts/travis-install.sh
index 8dc46e1..683c126 100755
--- a/projects/scripts/travis-install.sh
+++ b/projects/scripts/travis-install.sh
@@ -2,44 +2,31 @@
set -e
+echo "TRAVIS_OS_NAME=$TRAVIS_OS_NAME"
+
#if OS is linux or is not set
if [ "$TRAVIS_OS_NAME" = linux -o -z "$TRAVIS_OS_NAME" ]; then
-# wget -O - http://llvm.org/apt/llvm-snapshot.gpg.key|sudo apt-key add -
-# sudo add-apt-repository -y 'deb http://llvm.org/apt/trusty/ llvm-toolchain-trusty main'
-# sudo add-apt-repository -y "deb http://us.archive.ubuntu.com/ubuntu/ trusty main universe"
- sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
- sudo apt-get clean -qq || echo "ignore clean failure"
- sudo apt-get update -qq || echo "ignore update failure"
-
- wget http://www.cmake.org/files/v3.1/cmake-3.1.3-Linux-x86_64.sh
- chmod a+x cmake-3.1.3-Linux-x86_64.sh
- sudo ./cmake-3.1.3-Linux-x86_64.sh --skip-license --prefix=/usr/local
- export PATH=/usr/local/bin:$PATH
- cmake --version
-
- if [ "$CC" = gcc ]; then
- sudo apt-get install -qq --allow-unauthenticated --force-yes --fix-missing gcc-4.8 g++-4.8 || echo "ignore install failure"
-
- sudo update-alternatives --remove-all gcc || echo "ignore remove failure"
- sudo update-alternatives --remove-all g++ || echo "ignore remove failure"
-
- sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.8 20
- sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.8 20
+ echo "installing for linux..."
- sudo update-alternatives --config gcc
- sudo update-alternatives --config g++
+ wget http://www.cmake.org/files/v3.2/cmake-3.2.3-Linux-x86_64.sh
+ chmod a+x cmake-3.2.3-Linux-x86_64.sh
+ sudo ./cmake-3.2.3-Linux-x86_64.sh --skip-license --prefix=/usr/local
+ export PATH=/usr/local/bin:$PATH
- g++ --version
-
- sudo apt-get install --allow-unauthenticated --force-yes --fix-missing doxygen
- sudo apt-get install --allow-unauthenticated --force-yes --fix-missing graphviz
- doxygen --version
- dot -V
- fi
+ cmake --version
elif [ "$TRAVIS_OS_NAME" = osx ]; then
+ echo "installing for osx..."
+
xcode-select --install
brew update || echo "suppress failures in order to ignore warnings"
brew doctor || echo "suppress failures in order to ignore warnings"
- brew list cmake || brew install cmake || echo "suppress failures in order to ignore warnings"
+ brew list cmake || echo "suppress failures in order to ignore warnings"
+ sudo brew uninstall --force cmake || "suppress failures in order to ignore warnings"
+ brew search cmake || echo "suppress failures in order to ignore warnings"
+ brew install cmake || echo "suppress failures in order to ignore warnings"
+ brew upgrade cmake || echo "suppress failures in order to ignore warnings"
+
+ cmake --version
fi
+